#include "caritem.h"
#include <QDebug>
#include <iostream>

CarItem::CarItem(double x, double y, QObject *parent) :
    QObject(parent), QGraphicsEllipseItem(), _pos(x,y)
{
    setRect (QRectF(x,y,30,30));
}

CarItem::CarItem(QPointF pos, QObject *parent) :
    QObject(parent), QGraphicsEllipseItem(), _pos(pos.x(), pos.y())
{
    setRect (QRectF(pos.x(),pos.y(),30,30));
}

QPointF CarItem::pos() {
    return QPointF(rect().x(), rect().y());
}

void CarItem::setPos(QPointF pos) {
    QRect r (pos.x(), pos.y(), rect().width(), rect().height());
    setRect (r);
}
