#ifndef CARITEM_H
#define CARITEM_H

#include <QObject>
#include <QBool>
#include <QGraphicsEllipseItem>

// Here we visualize as an ellipse, but you may want to make this
// a line instead. To do so, you'll have to read in a few events from
// the log first, so you know what direction the line is pointing.
class CarItem : public QObject, public QGraphicsEllipseItem
{
    Q_OBJECT
    Q_PROPERTY (QPointF pos     READ pos     WRITE setPos)
    Q_PROPERTY (qreal   opacity READ opacity WRITE setOpacity)
public:
    explicit CarItem(double, double, QObject *parent = 0);
    explicit CarItem(QPointF, QObject *parent = 0);
    QPointF pos();
    void setPos(QPointF);

private:
    QPointF _pos;
};

#endif // CARITEM_H
